%define name    gds-frameio
%define version 2.19.2
%define release 1

%define daswg   /usr
%define prefix  %{daswg}
%if %{?_verbose}%{!?_verbose:0}
# Verbose make output
%define _verbose_make 1
%else
%if 1%{?_verbose}
# Silent make output
%define _verbose_make 0
%else
# DEFAULT make output
%define _verbose_make 1
%endif
%endif

Name: 		%{name}
Summary: 	gds-frameio 2.19.2
Version: 	%{version}
Release: 	%{release}%{?dist}
License: 	GPL
Group: 		LIGO Global Diagnotic Systems
Source: 	%{name}-%{version}.tar.gz
Packager: 	John Zweizig (john.zweizig@ligo.org)
BuildRoot: 	%{_tmppath}/%{name}-%{version}-root
URL: 		        https://wiki.ligo.org/Computing/DASWG/DMT
BuildRequires: 	gcc gcc-c++ glibc
BuildRequires:  automake autoconf libtool m4 make
BuildRequires:  gzip zlib bzip2
BuildRequires:  ldas-tools-framecpp-devel >= 2.5.8
BuildRequires:  ldas-tools-al-devel
BuildRequires:  zlib-devel
BuildRequires:  boost-devel
BuildRequires:  gds-base-devel
BuildRequires:  gds-lsmp-devel
Requires:       gzip zlib bzip2
Requires:       ldas-tools-framecpp
Requires:       ldas-tools-al
Requires:       zlib
Requires:       boost
Requires:       gds-base
Requires:       gds-lsmp
AutoReqProv: 	  no
Prefix:		      %prefix

%description
GDS Frame IO software

%package devel
Summary: 	GDS development files.
Version: 	%{version}
Group: 		LSC Software/Data Analysis
Requires:       ldas-tools-framecpp-devel >= 2.5.8
Requires:       gds-base-devel >= 2.19.2
Requires:       gds-lsmp-devel >= 2.19.2

%description devel
GDS Frame IO software development files.

%prep
%setup -q

%build
PKG_CONFIG_PATH=%{daswg}/%{_lib}/pkgconfig
ROOTSYS=/usr

export PKG_CONFIG_PATH ROOTSYS
./configure  --prefix=%prefix \
             --libdir=%{_libdir} \
	           --includedir=%{prefix}/include/gds
make V=%{_verbose_make}

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT
# don't distribute *.la files
[ ${RPM_BUILD_ROOT} != "/" ] && find ${RPM_BUILD_ROOT} -name "*.la" -type f -delete

%files
%defattr(-,root,root)
%{_libdir}/*.so*

%files devel
%defattr(-,root,root)
%{_includedir}
%{_libdir}/pkgconfig/*
%{_libdir}/*.a

%changelog
* Fri Nov 20 2020 Edward Maros <ed.maros@ligo.org> - 2.19.2-1
- Split lowlatency as a separate package

* Thu Jun 11 2020 Edward Maros <ed.maros@ligo.org> - 2.19.1-1
- Removed FrameL
